tmpfiles.d: check for .conf suffix when installing.
This could help a few users avoid debugging why the rules don't work for
them.
---
gx86/eclass/systemd.eclass | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/gx86/eclass/systemd.eclass b/gx86/eclass/systemd.eclass
index 4066e31..1ccaadc 100644
--- a/gx86/eclass/systemd.eclass
+++ b/gx86/eclass/systemd.eclass
@@ -89,6 +89,11 @@ systemd_newunit() {
systemd_dotmpfilesd() {
debug-print-function ${FUNCNAME} "${@}"
+ for f; do
+ [[ ${f} == *.conf ]]
+ || die 'tmpfiles.d files need to have .conf suffix.'
+ done
+
(
insinto /usr/lib/tmpfiles.d/
doins "${@}"
@@ -103,6 +108,9 @@ systemd_dotmpfilesd() {
systemd_newtmpfilesd() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${2} == *.conf ]]
+ || die 'tmpfiles.d files need to have .conf suffix.'
+
(
insinto /usr/lib/tmpfiles.d/
newins "${@}"
--
1.7.11.1